# frozen_string_literal: true

describe CMSScanner::Vulnerability do
  subject(:vuln)   { described_class.new(title, references) }
  let(:title)      { 'Test Vuln' }
  let(:references) { {} }

  it_behaves_like CMSScanner::References

  describe '#new' do
    its(:title)      { should eql title }
    its(:references) { should eql({}) }
    its(:type)       { should eql nil }
    its(:fixed_in)   { should eql nil }
  end

  describe '#==' do
    context 'when te same vuln' do
      it 'returns true' do
        expect(vuln).to eq vuln.dup
      end
    end

    context 'when not equal' do
      it 'returns false' do
        expect(vuln).to_not eq described_class.new('not eq')
      end
    end
  end
end
